Retrieve an RCS agent
Retrieves an RCS agent, section statuses, test devices, carrier approvals, and provider capabilities.
GET
/
rcs
/
agents
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const Agent = await client.rcs.agents.retrieve('id');
console.log(Agent.agent_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
agent = client.rcs.agents.retrieve(
"id",
)
print(agent.agent_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
agent, err := client.Rcs.Agents.Get(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", agent.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.rcs().agents().retrieve("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
agent = telnyx.rcs.agents.retrieve("id")
puts(agent)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$agent = $client->rcs->agents->retrieve(
'id',
);
var_dump($agent);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:agents retrieve \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/rcs/agents/{id} \
--header 'Authorization: Bearer <token>'{
"agent_id": "22222222-2222-4222-8222-222222222222",
"brand_id": "11111111-1111-4111-8111-111111111111",
"display_name": "Acme Order Updates",
"use_case": "TRANSACTIONAL",
"status": "SUBMITTED",
"profile_id": "40000000-0000-0000-0000-000000000001",
"basics_status": "SUBMITTED",
"campaign_status": null,
"testing_status": null,
"billing_category": "NON_CONVERSATIONAL",
"hosting_region": null,
"configuration": {
"basics": {
"description": "Order confirmations and delivery updates",
"logo_url": "https://www.example.com/rcs/logo.png",
"hero_url": "https://www.example.com/rcs/hero.png",
"brand_color": "#123456",
"privacy_policy_url": "https://www.example.com/privacy",
"terms_and_conditions_url": "https://www.example.com/terms",
"email": {
"address": "[email protected]",
"label": "Support"
}
},
"campaign": null,
"testing": null
},
"carrier_approvals": [],
"test_devices": [],
"capabilities": {
"brand_entity": true,
"brand_verification": true,
"submission_sections": true,
"distinct_launch_phase": false,
"per_carrier_approval": false,
"templates": false,
"campaigns": false,
"vendor_webhooks": false,
"invite_test_devices": false
}
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}Authorizations
Response
The requested RCS agent.
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const Agent = await client.rcs.agents.retrieve('id');
console.log(Agent.agent_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
agent = client.rcs.agents.retrieve(
"id",
)
print(agent.agent_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
agent, err := client.Rcs.Agents.Get(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", agent.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.rcs().agents().retrieve("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
agent = telnyx.rcs.agents.retrieve("id")
puts(agent)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$agent = $client->rcs->agents->retrieve(
'id',
);
var_dump($agent);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:agents retrieve \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/rcs/agents/{id} \
--header 'Authorization: Bearer <token>'{
"agent_id": "22222222-2222-4222-8222-222222222222",
"brand_id": "11111111-1111-4111-8111-111111111111",
"display_name": "Acme Order Updates",
"use_case": "TRANSACTIONAL",
"status": "SUBMITTED",
"profile_id": "40000000-0000-0000-0000-000000000001",
"basics_status": "SUBMITTED",
"campaign_status": null,
"testing_status": null,
"billing_category": "NON_CONVERSATIONAL",
"hosting_region": null,
"configuration": {
"basics": {
"description": "Order confirmations and delivery updates",
"logo_url": "https://www.example.com/rcs/logo.png",
"hero_url": "https://www.example.com/rcs/hero.png",
"brand_color": "#123456",
"privacy_policy_url": "https://www.example.com/privacy",
"terms_and_conditions_url": "https://www.example.com/terms",
"email": {
"address": "[email protected]",
"label": "Support"
}
},
"campaign": null,
"testing": null
},
"carrier_approvals": [],
"test_devices": [],
"capabilities": {
"brand_entity": true,
"brand_verification": true,
"submission_sections": true,
"distinct_launch_phase": false,
"per_carrier_approval": false,
"templates": false,
"campaigns": false,
"vendor_webhooks": false,
"invite_test_devices": false
}
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}